com.sun.jna.platform.win32

## Class WTypes.BSTR

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WTypes.BSTR

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WTypes

      public static class WTypes.BSTR
      extends PointerType

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WTypes.BSTR()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `void` | `setValue(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WTypes.BSTR

          public WTypes.BSTR()

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getValue

          public java.lang.String getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PointerType`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.